Bug 441709 - Doesn't know ppoll() and eventfd() system calls.
Doesn't know ppoll() and eventfd() system calls.
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-09 12:19 EDT by Lennart Poettering
Modified: 2008-04-16 12:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-16 12:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2008-04-09 12:19:57 EDT
Valgrind doesn't know the ppoll() or eventfd() system calls.

ppoll() was added in Linux 2.6.16 which was released on 19 Mar 2006, more than
two years ago.

eventfd() was added in Linux 2.6.22 which was released on 8 Aug 2007, more than
half a year ago.

The warning message from valgrind is:

--19400-- WARNING: unhandled syscall: 284


--19400-- WARNING: unhandled syscall: 271

That's eventfd(), resp. ppoll() on x86_64
Comment 1 Jakub Jelinek 2008-04-16 12:24:41 EDT
Should be fixed in valgrind-3.3.0-3.

Note You need to log in before you can comment on or make changes to this bug.